Subject: Re: g++ under cygwin problem
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Tue, 5 Dec 2000 15:55:24 -0800

On 5 Dec 2000, at 7:23, the Illustrious Tim Prince wrote:

> Check whether you have text mounts for your g++ installation. 
> setup.exe uses binary mounts. 

	Unless you tell setup.exe to use text mounts...

----- Original Message ----- From:
> "Josh Schwartz" <[email-masked]> To: <[email-masked]> Sent:
> Tuesday, December 05, 2000 12:12 AM Subject: g++ under cygwin
> problem
> 
> 
> > 
> > 
> > Hi
> > 
> > I'm using g++ under cygwin. I've tried to compile the following
> > simple program:
> > 
> > #include <iostream.h>
> > int main() {
> > cout << "hello, world!";
> > ; return 0; }
> > 
> > 
> > However I get the following error:
> > /temp/test> g++ -o test test.C
> > In file included from
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/streambuf.h :36, from
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/iostream.h: 31, from test.C:1:
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:303 : parse error before `->'
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:303 : stray '\' in program
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:306 : stray '\' in program
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:307 : stray '\' in program
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:311 : stray '\' in program
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:312 : stray '\' in program
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/libio.h:327 : parse error before `->' In file included from
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/iostream.h: 31, from test.C:1:
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/streambuf.h :397: stray '\' in program
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/streambuf.h : In method `int streambuf::sbumpc()
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/streambuf.h :396: implicit declaration of functi
> > _IO_getc(...)'
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/streambuf.h : In method `int streambuf::sgetc()'
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> > 3/streambuf.h :397: `return' with no value, in fun turning
> > non-void
> > 
> > 
> > 
> > I assume that I simply have a setup problem. Any ideas on why
> > this is happening ?
> > 
> > Thanks in advance.
> > 
> > Joshua Schwartz
> > 
> > [email-masked] <mailto:[email-masked]>
> > 
> > 
> > 
> > 
> > 
> > -----------------------------------------
> > Joshua Schwartz
> > Redux Communications LTD.
> > [email-masked]
> > Tel: +972-8-9731114 EXT:  30
> > Fax: +972-8-9720579
> > -----------------------------------------
> > 
> > 
> > 
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> > 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]